System.Design 2.0.0.0 System.Web.UI.Design.ExpressionEditor

A visual designer host, such as vsprvslong, uses the class to select a connection string from the connectionStrings configuration section.

The class is derived from the class, and although it is public for technical reasons, there is no advantage in deriving from it.

Provides properties and methods for selecting a data connection expression that is associated with a control property at design time.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Object `` `` `` ``

  The method looks up the connection name and type specified by , and then returns the connection.

  The visual designer uses the method to evaluate a connection string expression and provide the design-time value for an associated control property. The visual designer uses the method to parse the expression string at design time, and then calls the method with the parsed expression data. The visual designer uses the evaluated expression result to assign control property values that are rendered on the design surface.

  At run time, the page parser uses the and methods of the corresponding implementation to evaluate an expression and provide the run-time value for an associated control property.

  Evaluates a connection string expression and provides the design-time value for a control property.

  The object referenced by the evaluated expression string if the expression evaluation succeeded; otherwise, null.

  A connection string expression to evaluate. The expression does not include the ConnectionStrings expression prefix. An object containing additional parsing information for evaluating the expression. The type of the control property. A service provider implementation supplied by the designer host, used to obtain additional design-time services. 2.0.0.0
- Method
  System.Web.UI.Design.ExpressionEditorSheet `` ``

  The method returns an editor sheet implementation for connection string expressions. The editor sheet for connection string expressions allows users to select a connection name and type, based on the current connection strings that are defined in the connectionStrings section of the Web configuration file. Once users have selected the connection expression properties, the editor sheet implementation combines the connection name and type into a connection string expression, which is returned to the visual designer.

  Returns an expression editor sheet for a connection string expression.

  An instance that defines the connection string expression properties.

  The expression string set for a control property, used to initialize the expression editor sheet. The expression does not include the ConnectionStrings expression prefix. A service provider implementation supplied by the designer host, used to obtain additional design-time services. 2.0.0.0